//
//  Created by ITCowork Inc on 2014/02/18.
//  Copyright (c) 2014 ITCowork. All rights reserved.
//

#import "IOSAnnotation.h"
#import "NSObject+Extension.h"

@implementation IOSAnnotation

-(id)initWithCoordinate:(CLLocationCoordinate2D)coordinate
{
    self = [super init];
    if(self)
    {
        self.coordinate = coordinate;
        self.title = @"Sample\nLocation";
        self.subtitle = @"";
        self.thumbName = @"sample_thumb.jpg";
        self.mainColor = MYCOLOR(0xFF9966, 1.0);
    }
    return self;
}

- (void)setCoordinate:(CLLocationCoordinate2D)newCoordinate
{
    _coordinate = newCoordinate;
}

@end
