//
//  Created by ITCowork Inc on 2014/02/18.
//  Copyright (c) 2014 ITCowork. All rights reserved.
//

#import "InfoWindow.h"
#import "NSObject+Extension.h"
#import "SFBallonView.h"

@interface InfoWindow ()

@end

@implementation InfoWindow

+ (id)instanceWithAnnotation:(IOSAnnotation *)annotation
{
    id obj = [[[self class] alloc] initWithNibName:@"InfoWindow" bundle:[NSBundle mainBundle]];
    [obj setAnnotation:annotation];
    return obj;
}

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    self.view.backgroundColor = [UIColor clearColor];
    self.ballonView.tag = 1;
    self.ballonView.backgroundColor = [UIColor clearColor];
    self.ballonView.userInteractionEnabled = NO;
    self.ballonView.multipleTouchEnabled = NO;
    self.ballonView.baseColor = [UIColor whiteColor];
    self.ballonView.strokeColor = self.annotation.mainColor;
    self.ballonView.ballonRadius = 5.0f;
    self.ballonView.ballonStroke = 2.0f;
    self.ballonView.tailHeight = 10.0f;
    self.ballonView.tailWidth = 20.0f;
    self.ballonView.direction = SFBallonDirectionBottom;
    self.thumbImage.image = [UIImage imageNamed:self.annotation.thumbName];
    self.messageLabel.text = self.annotation.title;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

@end
